#!/usr/bin/tclsh

set i 0
while { $i < $argc } {
	set L [split [lindex $argv $i] =]
	if { [llength $L] == 2 } {
		set var [lindex $L 0]
		set val [lindex $L 1]
		set $var $val
	}
	incr i
}



set f [open |gnuplot w]
puts $f "cd \"summary\" "
puts $f "set data style linespoints"
puts $f "set xrange \[0:1\]"
puts $f "set yrange \[0:1\]"
puts $f "set xlabel \"LINK UTILIZATION\" "
puts $f "set ylabel \"AVG UTILITY\" "
puts $f "set term po la color"
puts $f "set out \"$bw.$time.$type.aggreuti-avg.ps\""
#puts $f "set title \"SMOOTH TRAFFIC\" "
#puts $f "set title \"BURSTY TRAFFIC\" "
set cmd "plot "
#set cmd "$cmd \"$bw.$time.SPQ.$rcvr.util.$utiltype.1\" title \"Level 1\", \"$bw.$time.SPQ.$rcvr.util.$utiltype.2\" title \"Level 2\" , \"$bw.$time.DropTail.$rcvr.util.$utiltype.0\" title \"FIFO\" "
set cmd "$cmd \"$bw.$time.SPQ.$type.aggreuti.avg\" title \"SERVICE PRIORITY\", \"$bw.$time.DropTail.$type.aggreuti.avg\" title \"FIFO\" " 

puts $f $cmd

puts $f "set term po po mono"
puts $f "set out \"$bw.$time.$type.aggreuti-avg.port.ps\""
puts $f "replot"

close $f
